#include "mutex.h"

using namespace aka2;

mutex::mutex() {
  pthread_mutex_init(&mutex_, 0);
};

mutex::~mutex() {
  pthread_mutex_destroy(&mutex_);
}

void mutex::lock() {
  pthread_mutex_lock(&mutex_);
}

void mutex::unlock() {
  pthread_mutex_unlock(&mutex_);
}
